Skip to content

Delete Organization ​

Request Description ​

ParameterReference
Request URLhttps://{app_domain}/callback
Request MethodPOST
Request HeaderAuthorization: Bearer

Request Parameters ​

Parameter NameTypeDescription
idStringOrganization ID of the enterprise application
  • Additional note: when deletion needs to pass other organization object attribute values, configure the attribute to "Always Map" in the IDaaS Enterprise Center at Application -> Object Model -> Application Organization Model -> Mapping Definition, and it will be passed downstream.

Response Parameters ​

Parameter NameTypeDescription
codeStringReturned code; 200 indicates success
messageIntegerError reason description when processing fails

Request Example ​

  • Request example with message signing and encryption enabled
json
{
	"nonce": "AmgjjEAJbrMzWmUw",
	"timestamp": 15093849585,
	"eventType": "DELETE_ORGANIZATION ",
	"data": "6lrHydJIXEWxQhUa3UqsXHWsDZ5LTAo/xU3zhjq9H3syCuFYDYKg==",
	"signature": "K08yDiTEc094KoccOY+VYLQFxxQ="
}
  • JSON string format after decrypting the request body data
json
{
	"id": "6c5bb468-14b2-4183-baf2-06d523e03bd3"
}
  • JSON string format after decrypting the request body data when "Always Map" attributes are configured
json
{
	"id": "6c5bb468-14b2-4183-baf2-06d523e03bd3",
	"code": "1000003",
	"name": "武汉分公司",
	"parentId": "5b183439-36a8-4d08-94ba-61b3c8d40b66",
	"disabled":false,
    "number":123456,
    "switch":false,
    "text":"扩展属性单值文本的值",
    "multivaluedText":["扩展属性多值文本的值1","扩展属性多值文本的值2"]
}
  • Additional note on extended attributes: IDaaS must configure mapping in the Enterprise Center at Resources -> Application -> Object Model -> Application Organization Model -> Mapping Definition before the downstream application can receive the defined extended attribute values and information. For how to configure extended attributes and mapping definitions, please refer to Preparation.

Response Example ​

Status Code: 200

Request succeeded

json
{
	"code": "200",
	"message": "success"
}

BambooCloud IDaaS Open Platform